
// compile: g++ -o template.ex template.cpp

#include <iostream>

using namespace std;

class rectangle {
  int x, y; // by default of private access
  public:
    rectangle();
    rectangle(int xx, int yy);
    rectangle(const rectangle& r);
    //bool operator>(rectangle& r);
    void set(int xx, int yy);
    int area(void);
  };
  
  
void rectangle::set(int xx, int yy) {
  x=xx;
  y=yy;
  }
  
  
int rectangle::area(void) {
  return x*y;
  }

  
rectangle::rectangle() {
  x=0;
  y=0;
  }
  
  
rectangle::rectangle(int xx, int yy) {
  x=xx;
  y=yy;
  }
  

rectangle::rectangle(const rectangle& r) {
  x=r.x;
  y=r.y;
  }

/*
bool rectangle::operator>(rectangle& r)
  {
  if (area()>r.area()) return 1;
  else return 0;
  }
*/

template <typename T> T max(T& a, T& b) {
  if (a>b) return a;
  else return b;
  }
  
template <typename T, typename U> U max(T& a, U& b) {
  if (a>b) return a;
  else return b;
  }
  
int main()
  {

  rectangle a(2,2);
  rectangle b(3,3);  
  rectangle c=max<rectangle>(a,b);
  cout << c.area() << endl;


  
  return 0;
  }
  
