
// compile: g++ -fopenmp -o omp1.ex omp1.cpp
// run: export OMP_NUM_THREADS=2; time ./omp1.ex

#include <omp.h>

#include <iostream>
#include <cmath>
using namespace std;

int main()
  {
  int i;
  double *v=new double[50000000];
  
  #pragma omp parallel for
  for(i=0;i<50000000;i++) {
    v[i]=cos((double)i);
    }
    
  delete [] v;
  
  return 0;
  }
  