
// compile: g++ -o stream.ex stream.cpp

#include <iostream>
#include <iomanip>
#include <sstream>

using namespace std;

int main()
  {

  int year, month, day;
  char dash1, dash2; // Dummy variables to read delimiters
  string iso_date; // date in ISO format
  cout << "Enter date (yyyy-mm-dd): " << flush;
  getline(cin, iso_date);
  istringstream s(iso_date); // load value into string stream
  s >> year >> dash1 >> month >> dash2 >> day; // --> year, month, day
  
  // output including zero padding
  cout << "dd.mm.yyyy=" 
       << setfill('0') << setw(2) << day
       << "."
       << setfill('0') << setw(2) << month 
       // << month 
       << "."
       << setfill('0') << setw(4) << year << endl;

  return 0;
  }